Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Interface MessageProcessorAnnotationParser

    public interface MessageProcessorAnnotationParser

An SPI interface used for creating Routers from Annotations. Note that any Router annotations must be themselves annotated with the `OutboundRouter` annotation.

Method Summary
`MessageProcessor` | `parseMessageProcessor(Annotation annotation)` Will create a Mule Router according to the annotation.
`boolean` | `supports(Annotation annotation, Class clazz, Member member)` Determines whether this parser can process the current annotation.

Method Detail

### parseMessageProcessor

    MessageProcessor parseMessageProcessor(Annotation annotation)
                                           throws MuleException

  Will create a Mule Router according to the annotation. Note that the annotation must itself be annotated with the `OutboundRouter` annotation.

  Parameters:
    `annotation` - the current annotation being processed
  Returns:
    a new Router configuration based on the current annotation
  Throws:
    `MuleException` - if the inbound endpoint cannot be created. A Mule-specific error will be thrown.

### supports

    boolean supports(Annotation annotation,
                     Class clazz,
                     Member member)

  Determines whether this parser can process the current annotation. The clazz and member params are passed in so that further validation be done on the location, type or name of these elements.

  Parameters:
    `annotation` - the annotation being processed
    `clazz` - the class on which the annotation was found
    `member` - the member on which the annotation was found inside the class. This is only set when the annotation was either set on a `Method`, `Field` or `Constructor` class member, otherwise this value is null.
  Returns:
    true if this parser supports the current annotation, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.